Bug 56762 - (SCSI QLA1280)Qlogic driver loops indefinitely on boot, trying to reset SCSI bus
(SCSI QLA1280)Qlogic driver loops indefinitely on boot, trying to reset SCSI bus
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-27 05:54 EST by Pete
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete 2001-11-27 05:54:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686; Nav)

Description of problem:
When booting, the kernel never gets past the part where the qlogic driver
resets the SCSI bus before looking for drives. (I need the driver built
into the kernel.) On boot, it says something like
  "ISP request transfer error"
and continues to attempt to reset the bus.
The driver worked fine on kernel 2.4.2 and 2.4.3, the problem started with
kernel 2.4.9. If I build a 2.4.9 kernel with the qla1280.[ch] from 2.4.3
that also works. Qlogic are unhelpful - they have "no supported drivers for
kernel 2.4" although the beta supplied with the kernel sources has been
solid IMO until now.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Build kernel 2.4.9 with qla1280
2. Try to boot (oh, you need a Qlogic card)
	

Actual Results:  Loops indefinitely, trying to reset SCSI bus 0

Expected Results:  Reset buses successfully, then look for drives and
continue booting

Additional info:

Rioworks SCQ-U3 (?) ultra 3 scsi adapter, uses qlogic ISP12160 chipset /
qla1280 driver
I can boot successfully with the 2.4.3 kernel anytime. The 2.4.9 kernel was
configured using 'make oldconfig' to use the config from the working 2.4.3.
I've flashed the BIOS on the Qlogic card and experimented with settings
there,
but no improvement.
Comment 1 Bugzilla owner 2004-09-30 11:39:17 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.